Airport Express Gen1 too old to work with current Apple OS?

Back To Product

Follow this Question

1 Answer from the Community

  • No, I have one third generation Time Capsule and two first generation AirPort Express base stations, and all work just fine with the latest versions of Mac OS X, iOS, Windows and Linux. The operating system does not matter actually, as it all depends on the wireless standards that your hardware support. The wireless standards used on the first generation AirPort Express are well supported and that will not change any time soon.

    Was this useful? Answer 1

    0 of 1 people found this useful

Related Questions